Bug 47654 - unPERLify ports/biology
Summary: unPERLify ports/biology
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-30 00:20 UTC by corecode@corecode.ath.cx
Modified: 2003-11-15 20:13 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.21 KB, patch)
2003-01-30 00:20 UTC, corecode@corecode.ath.cx
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description corecode@corecode.ath.cx 2003-01-30 00:20:17 UTC
	unPERLify
Comment 1 Fernan Aguero 2003-01-30 13:37:28 UTC
Simon,

I'm working in the emboss port, and while updating it to
2.6.0 I also took care of using REINPLACE_CMD instead of
PERL. I still have some issues to resolve before submitting
it, though.

Fernan

+----[ Simon 'portlint' Schubert <corecode@corecode.ath.cx> (29.Jan.2003 21:28):
|
| Index: emboss/Makefile
| ===================================================================
| RCS file: /home/ncvs/ports/biology/emboss/Makefile,v
| retrieving revision 1.30
| diff -u -r1.30 Makefile
| --- emboss/Makefile	27 Sep 2002 08:58:19 -0000	1.30
| +++ emboss/Makefile	29 Jan 2003 21:47:28 -0000
| @@ -19,6 +19,7 @@
|  
|  LIB_DEPENDS=	gd.2:${PORTSDIR}/graphics/gd
|  
| +USE_REINPLACE=	yes
|  USE_SUBMAKE=	yes
|  USE_GMAKE=	yes
|  GNU_CONFIGURE=	yes
| @@ -88,8 +89,8 @@
|  
|  post-patch:
|  .for DIR in ${DOC_DIRS}
| -	@ ${PERL} -pi.orig -e \
| -	  's#\$$\(prefix\)/share/\$$\(PACKAGE\)/doc#\$$\(datadir\)/doc/\$$\(PACKAGE\)#' \
| +	@ ${REINPLACE_CMD} -e \
| +	  's#\$$(prefix)/share/\$$(PACKAGE)/doc#$$(datadir)/doc/$$(PACKAGE)#' \
|  	  ${WRKSRC}/${DIR}/Makefile.in
|  .endfor
|  
| @@ -123,12 +124,12 @@
|  	  ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} ${MAKEFILE} \
|  	  ${MAKE_ARGS} ${INSTALL_TARGET}
|  .endfor
| -	@ ${PERL} -pe 's#%%PREFIX%%#${PREFIX}#' \
| +	@ ${SED} -e 's#%%PREFIX%%#${PREFIX}#' \
|  	  ${CONFIG_FILE} > ${PREFIX}/etc/emboss.default.sample && \
|  	  ${CHOWN} ${SHAREOWN}:${SHAREGRP} \
|  	  ${PREFIX}/etc/emboss.default.sample
| -	@ ${PERL} -pe 's#%%PREFIX%%#${PREFIX}#' \
| -	  pkg-message > ${PKGMESSAGE}
| +	@ ${SED} -e 's#%%PREFIX%%#${PREFIX}#' \
| +	  ${.CURDIR}/pkg-message > ${PKGMESSAGE}
|  .if !defined(BATCH)
|  	@ ${CAT} ${PKGMESSAGE}
|  .endif
|
+----]

-- 
F e r n a n   A g u e r o
http://genoma.unsam.edu.ar/~fernan
Comment 2 Joe Marcus Clarke freebsd_committer 2003-11-15 20:13:26 UTC
State Changed
From-To: open->closed

Committed, thanks!